Bug 807886 - Need the ability for daemons to exit with a special return code to inhibit respawn
Need the ability for daemons to exit with a special return code to inhibit re...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1060205
  Show dependency treegraph
 
Reported: 2012-03-28 23:23 EDT by Andrew Beekhof
Modified: 2014-02-12 06:16 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-07 18:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Beekhof 2012-03-28 23:23:43 EDT
Description of problem:

Also from the Prague discussions, often a daemon will know that it had been badly configured and no amount of respawning will help.  In such situations it might useful for the daemon to provide a hint to systemd that it should give up.

For what its worth, Heartbeat and Pacemaker use rc = 100 for this behaviour.
Comment 1 Andrew Beekhof 2012-03-28 23:44:40 EDT
Adding Lennart and Kay, the people who I was talking with at LinuxCon Prague.
Comment 2 Lukáš Nykrýn 2012-08-16 11:38:45 EDT
Resolved in upstream commit: http://cgit.freedesktop.org/systemd/systemd/commit/?id=96342de68d0d6de71a062d984dafd2a0905ed9fe
Comment 3 Fedora Update System 2012-09-20 15:56:26 EDT
systemd-190-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-190-1.fc18
Comment 4 Fedora Update System 2012-09-22 02:37:35 EDT
Package systemd-191-2.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-191-2.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-191-2.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-27 20:18:02 EDT
Package glibc-2.16-17.fc18, systemd-192-1.fc18, selinux-policy-3.11.1-23.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 systemd-192-1.fc18 selinux-policy-3.11.1-23.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/selinux-policy-3.11.1-23.fc18,rtkit-0.11-3.fc18,systemd-192-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-01 16:10:39 EDT
Package glibc-2.16-17.fc18, rtkit-0.11-3.fc18, systemd-193-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 rtkit-0.11-3.fc18 systemd-193-1.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-193-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).
Comment 7 Jóhann B. Guðmundsson 2014-02-12 06:16:49 EST
Andrew for the first this bug has been closed secondly please remove that blockage this bug is filed against Fedora not RHEL so Fedora users will get "Access Denied" when trying to access that bug so either lift that access restriction or remove it.

Note You need to log in before you can comment on or make changes to this bug.